function y=FWHM(Input)
%
% Usage: y=FWHM(input)
%
% Purpose = This module is to calculate FWHM of a signle pulse 
%
% Input = Single channel signal (optical/electrical), Size = [1 x DataLength]
% Output(y) = FWHM [sec] 
%
% (global variables) t_range 
%
%------------------------------------------------------------
% $ Revision: 1.0 $ Date: 2011/02/22 by Jong-Hyung Lee  
%------------------------------------------------------------
%=====================================================================================
global t_range

dt = t_range(2)-t_range(1);

s_type = isreal(Input);
   
   if s_type == 1; % Electrical signal case
      s_max = max(Input);
      kk = find(Input>= 0.5*s_max);
      y = t_range(max(kk))-t_range(min(kk)) + dt;
   
   else            % Optical signal case
      
      Input2 = Input.*conj(Input); 
      s_max = max(Input2);
      kk = find(Input2>= 0.5*s_max);
      y = t_range(max(kk))-t_range(min(kk)) + dt;
   
   end
   
