function y = PowerMeter(Input_optical)
%
% Usage: y = PowerMeter(Input_optical)
%
% Purpose = This module is to calcaulate power of optical signal.
%
% Input Signal(Input_optical) = Optical Signal
% Output(y) = 'Average' Optical Power in [W]
%
%------------------------------------------------------------
% $ Revision: 1.0 $ Date: 2003/05/07 by Jong-Hyung Lee  
%------------------------------------------------------------
%
%===============================================================================
global DataLength ChannelNumber

[a,b] = size(Input_optical);

if a == 1  ; % single channel case
   Input_Optical = Input_optical;
elseif a== ChannelNumber; % multi channel case
   Input_Optical = sum(Input_optical);
else
     error('Please check the size of input optical signal.')
end

y = sum(Input_Optical.*conj(Input_Optical))/DataLength; %[W] 

