function [Pe, Ve] = PowerMeterElec(Input_Electrical)
%
% Usage: [Pe, Ve] = PowerMeterElec(Input_Electrical)
%
% Purpose = This module is to calcaulate the power and the mean value of electrical signal.
%
% Input Signal(Input_Electrical) = Electrical Signal
% Output 
%       Pe = Power of the Input_Electrical in [W] (Assumed power is
%       calculated into a 1 Ohm resistor.)
%       Ve = Mean value of the Input_Electrical 
%
%------------------------------------------------------------
% $ Revision: 1.0 $ Date: 2012/04/01 by Jong-Hyung Lee  
%------------------------------------------------------------
%
%===============================================================================
global DataLength 

if ~isreal(Input_Electrical) == 1  ; % 
   error('Input signal is not real!');
end

[a,b] = size(Input_Electrical);

if a ~= 1  ; 
        error('Please check the size of the input signal.')
end

Pe = sum(Input_Electrical.*Input_Electrical)/DataLength; %[W] 
Ve = sum(Input_Electrical)/DataLength; % mean value of the Electrical Signal 

