function y = infobits_ones(PreSpaces,PostSpaces)
% 
% Usage : y = infobits_ones(PreSpaces,PostSpaces)
%
% Purpose = This module generates all ones except 'PreSpaces' and 'PostSpaces'.
%
% Input Signal = Not required.
% Output Signal = 1's with PreSpaces and PostSpaces
%
% === Parameters =====
% PreSpaces = Number of leading zero bits 
%           = 2 (default)
% PostSpaces = Number of trailing zero bits
%            = 2 (default)
%
% Bits(bit number) should be larger than (PreSpaces+PostSpaces).
%
%----------------------------------------------------------
% $ Revision: 1.1 $ Date: 2011/02/22 by Jong-Hyung Lee  
%------------------------------------------------------------
%
%===============================================================================
global Bits

if nargin<2,
   PostSpaces = 2;
end

if nargin<1,
   PreSpaces = 2;
end

nn = Bits-PreSpaces-PostSpaces;
if nn <= 0,fprintf('Bits(bit number) should be larger than (PreSpaces+PostSpaces)!'); return; end

infobit_number = Bits-PreSpaces-PostSpaces;

y = [zeros(1,PreSpaces) ones(1,infobit_number) zeros(1,PostSpaces)];
